%global momorel 1

Summary: setting daemon
Name: gnome-settings-daemon
Version: 2.26.1
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.26/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: glib2-devel >= 2.20.-
BuildPrereq: gtk2-devel >= 2.16.0
BuildPrereq: GConf2-devel >= 2.26.0
BuildPrereq: dbus-glib-devel >= 0.80
BuildPrereq: libgnome-devel >= 2.26.0
BuildPrereq: gnome-desktop-devel >= 2.26.0
BuildPrereq: libglade2-devel >= 2.6.4
BuildPrereq: libgnomeui-devel >= 2.24.1
BuildPrereq: libnotify-devel >= 0.4.5
BuildPrereq: fontconfig-devel >= 2.6.0
BuildPrereq: libgnomekbd-devel >= 2.26.0
BuildPrereq: libxklavier-devel >= 3.9
BuildPrereq: gstreamer-devel >= 0.10.22
BuildPrereq: gstreamer-plugins-base-devel >= 0.10.22
BuildPrereq: alsa-lib-devel
BuildPrereq: pulseaudio-libs-devel >= 0.9.11

BuildPrereq: libXft-devel >= 2.1.12
Requires: GConf2

%description
%{name}

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel
Requires: dbus-devel
Requires: dbus-glib-devel

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure \
    --disable-schemas-install \
    --enable-gstreamer
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache --quiet /usr/share/icons/hicolor
fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas \
    %{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas \
    %{_sysconfdir}/gconf/schemas/desktop_gnome_font_rendering.schemas \
    %{_sysconfdir}/gconf/schemas/gnome-settings-daemon.schemas \
    %{_sysconfdir}/gconf/schemas/desktop_gnome_keybindings.schemas \
    > /dev/null || :

# update icon cache
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas \
	%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas \
	%{_sysconfdir}/gconf/schemas/desktop_gnome_font_rendering.schemas \
	%{_sysconfdir}/gconf/schemas/gnome-settings-daemon.schemas \
	%{_sysconfdir}/gconf/schemas/desktop_gnome_keybindings.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas \
	%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas \
	%{_sysconfdir}/gconf/schemas/desktop_gnome_font_rendering.schemas \
	%{_sysconfdir}/gconf/schemas/gnome-settings-daemon.schemas \
	%{_sysconfdir}/gconf/schemas/desktop_gnome_keybindings.schemas \
	> /dev/null || :
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas
%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas
%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_xrandr.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_font_rendering.schemas
%{_sysconfdir}/gconf/schemas/gnome-settings-daemon.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_keybindings.schemas
%{_sysconfdir}/xdg/autostart/gnome-settings-daemon.desktop

%dir %{_libdir}/gnome-settings-daemon-2.0
%{_libdir}/gnome-settings-daemon-2.0/*.so
%{_libdir}/gnome-settings-daemon-2.0/*.la
%{_libdir}/gnome-settings-daemon-2.0/*.gnome-settings-plugin
%{_libexecdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/org.gnome.SettingsDaemon.service
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/gnome-control-center/keybindings/50-accessibility.xml

%files devel
%defattr(-, root, root)
%{_includedir}/gnome-settings-daemon-2.0
%{_libdir}/gnome-settings-daemon-2.0/*.a
%{_libdir}/pkgconfig/gnome-settings-daemon.pc

%changelog
* Wed Apr 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Mon Mar 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-3m)
- fix autostart

* Sat Mar  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-2m)
- mv autostart file %%{_sysconfdir}/xdg/gnome/autostart

* Sat Mar  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.90

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.1-2m)
- rebuild against rpm-4.6

* Tue Nov 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Mon Nov  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-3m)
- copy autostart desktop file to %%{_datadir}/gnome/autostart

* Thu Oct 16 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-2m)
- delete gnome-screensaver patch

* Sun Sep 28 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0

* Tue Sep 23 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2.1-3m)
- add patch0 (do not start gnome-screensaver from gnome-settings-daemon)

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.2.1-2m)
- change BuildPrereq: gst-plugins-base-devel to gstreamer-plugins-base-devel

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2.1-1m)
- update to 2.22.2.1

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Fri Mar 14 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-2m)
- initial build
